Categories:
  - Internet
License: GPL-3.0-only
AuthorName: MetaCubeX
WebSite: https://docs.metacubex.one
SourceCode: https://github.com/MetaCubeX/ClashMetaForAndroid
IssueTracker: https://github.com/MetaCubeX/ClashMetaForAndroid/issues

Name: ClashMetaForAndroid

RepoType: git
Repo: https://github.com/MetaCubeX/ClashMetaForAndroid.git

Builds:
  - versionName: 2.5.11-pre01.Meta-Alpha
    versionCode: 205011
    commit: 44ab789450f5fe1d59a8d4a61a1fbe7e038e4622
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lso go.tar.gz https://go.dev/dl/go1.18.3.linux-amd64.tar.gz
      - echo "956f8507b302ab0bb747613695cdae10af99bbd39a90cae522b7c0302cc27245 go.tar.gz"
        | sha256sum -c -
      - tar xzf go.tar.gz --strip-components=1 -C /usr/local/
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.5.13-pre03.Meta-Alpha
    versionCode: 205013
    commit: 2ab1571e3a551cb760590fce46f2037f69d7c6a7
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.5.14.Meta-Alpha
    versionCode: 205014
    commit: 38d7ed94a63545d8d6fd407ff657023509ca0632
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.0.Meta-Alpha
    versionCode: 206000
    commit: ee5d50dfe0e008f93207219eeb8a0291cc0675f4
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.1.Meta-Alpha
    versionCode: 206001
    commit: 723bfb56533122ae6a2cc49fd6be74c5398dac88
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.2.Meta-Alpha
    versionCode: 206002
    commit: 01474ca37e980cd56c7c95c59316fee76d7c42a6
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.3.Meta-Alpha
    versionCode: 206003
    commit: 06dfa140d8f133d5915a4e6adf4175d599a89259
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.4.Meta-Alpha
    versionCode: 206004
    commit: 9aa1e56d891d5081409c79db1a6877acdeedf719
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.5.Meta-Alpha
    versionCode: 206005
    commit: ac95f41c81fec7a898df43c2f6ce6f8854244305
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.6.Meta-Alpha
    versionCode: 206006
    commit: 5fd4713a1e7e77ef7096e391c0f37009c6ac4dfb
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.7.Meta-Alpha
    versionCode: 206007
    commit: 1d86190f8f2612f3d8956d199d2db94b6bf6d684
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.8.Meta-Alpha
    versionCode: 206008
    commit: 7ea6edf58241cd1e7bd40954a286441647922cb1
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.6.9.Meta-Alpha
    versionCode: 206009
    commit: 1ed08ef97f54b49daeb128568e7d7fa61c075f04
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.7.0.Meta-Alpha
    versionCode: 207000
    commit: a4c733e87b8b4634f90f360eaac36bf488e3c932
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.7.1.Meta-Alpha
    versionCode: 207001
    commit: 7b144a84e51b97ee08bf58513297607c60d000c8
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports golang-go
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.7.2.Meta-Alpha
    versionCode: 207002
    commit: a4cfe1eb7da8e0d628f2a76a34295bd4f56df639
    subdir: app
    submodules: true
    sudo:
      - curl -Lso go.tar.gz https://golang.org/dl/go1.20.3.linux-amd64.tar.gz
      - echo "979694c2c25c735755bf26f4f45e19e64e4811d661dd07b8c010f7a8e18adfca go.tar.gz"
        | sha256sum -c -
      - tar xzf go.tar.gz --strip-components=1 -C /usr/local/
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.7.3.Meta-Alpha
    versionCode: 207003
    commit: 4a71c6ad119782ab02481eb1e40890c787359c00
    subdir: app
    submodules: true
    sudo:
      - curl -Lso go.tar.gz https://golang.org/dl/go1.20.3.linux-amd64.tar.gz
      - echo "979694c2c25c735755bf26f4f45e19e64e4811d661dd07b8c010f7a8e18adfca go.tar.gz"
        | sha256sum -c -
      - tar xzf go.tar.gz --strip-components=1 -C /usr/local/
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.7.4.Meta-Alpha
    versionCode: 207004
    commit: 2229b04f27ef1ef4468bc8b2b5726444d3de193e
    subdir: app
    submodules: true
    sudo:
      - curl -Lso go.tar.gz https://golang.org/dl/go1.20.3.linux-amd64.tar.gz
      - echo "979694c2c25c735755bf26f4f45e19e64e4811d661dd07b8c010f7a8e18adfca go.tar.gz"
        | sha256sum -c -
      - tar xzf go.tar.gz --strip-components=1 -C /usr/local/
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.8.2.Meta-Alpha
    versionCode: 208002
    commit: ec489ab491968da22f6b559447bcb22c826fec73
    subdir: app
    submodules: true
    sudo:
      - curl -Lso go.tar.gz https://golang.org/dl/go1.20.3.linux-amd64.tar.gz
      - echo "979694c2c25c735755bf26f4f45e19e64e4811d661dd07b8c010f7a8e18adfca go.tar.gz"
        | sha256sum -c -
      - tar xzf go.tar.gz --strip-components=1 -C /usr/local/
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.8.4.Meta-Alpha
    versionCode: 208004
    disable: https://github.com/MetaCubeX/ClashMetaForAndroid/issues/85
    commit: 008e99417e8510e0f4cbd4333e7498aaf6a239eb
    subdir: app
    submodules: true
    sudo:
      - curl -Lso go.tar.gz https://golang.org/dl/go1.20.3.linux-amd64.tar.gz
      - echo "979694c2c25c735755bf26f4f45e19e64e4811d661dd07b8c010f7a8e18adfca go.tar.gz"
        | sha256sum -c -
      - tar xzf go.tar.gz --strip-components=1 -C /usr/local/
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

  - versionName: 2.8.5.Meta-Alpha
    versionCode: 208005
    commit: a4d77470785c1f2429d745707de0b6bf197bcb86
    subdir: app
    submodules: true
    sudo:
      - curl -Lso go.tar.gz https://golang.org/dl/go1.20.3.linux-amd64.tar.gz
      - echo "979694c2c25c735755bf26f4f45e19e64e4811d661dd07b8c010f7a8e18adfca go.tar.gz"
        | sha256sum -c -
      - tar xzf go.tar.gz --strip-components=1 -C /usr/local/
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.8.5.Meta-Alpha
CurrentVersionCode: 208005
